QuickInstall 1.2.0 release

Read me first before posting anywhere!
Subscribe to the feed, available in Image Atom or Image RSS format.
Anti-Spam Guide
Post Reply
User avatar
tumba25
Former Team Member
Posts: 4430
Joined: Wed Jun 06, 2007 6:42 am
Location: Kokkola, Finland.
Name: Jari Kanerva
Contact:

QuickInstall 1.2.0 release

Post by tumba25 » Sun Nov 30, 2014 10:51 am

Image

phpBB3 QuickInstall is a development tool used to manage many installations of phpBB3. It is not meant to be used on a remote server and should be used only locally. You can install a phpBB3 board with one single mouse click. This is useful for developing extensions, as you won't have any conflicts with other extensions.

You can install populated boards with users, forums, topics and posts. The number of them can easily be set both in your profiles and when you create boards. You can select the number of admins, moderators and newly registered users.

As always, there are tons of new stuff in this QI release and also some bug fixes. The biggest change being that QI can now handle both phpBB 3.0 and 3.1 boards. You don't have to change any setting for that as QI figures it out.

phpBB3 QuickInstall is distributed under the terms of the GNU General Public License version 2 (GPL v2). A copy of this license has been included in the package (license.txt) and more information can be found in the included readme.txt.

You can always get the latest development version from https://github.com/phpbb/quickinstall
Please report bugs in the QI issues tracker at github.

Support
You can receive support in the QI support tab.

Getting started
To install QI simply download the latest version and extract it to a directory accessible via a browser.
Download the latest phpBB version and extract it into the sources directory.
Make sure the "cache", "boards" and "settings" directories are writable by PHP.
Point your browser to the QI directory (i.e. https://localhost/qi). You will be taken to the settings page with some default data entered. You can go directly to the bottom of that page and save the settings as a profile named "default" while also taking a look at the settings to see if you would like to change anything. Usually you would at least need to set Database user and Database password. When you have saved the first profile you should be good to go.

If you want to install phpBB 3.0 with AutoMOD; you also need to download the latest AutoMOD and copy the contents from the root directory to sources/automod/. You should not need AutoMOD for 3.1 extension development.

Upgrading from QI older than 1.1.8
Just download the package and unzip it into your QI directory. Make sure the new "settings" directory is writable by PHP and point your browser to your QI directory. QI will convert your old config to a profile named "default", you can of course choose some other name for it.

Upgrading from QI 1.1.8
Just download the package and unzip it into your QI directory. Point your browser to Manage profiles, make sure the new settings are in order, submit and you are ready to go.

NOTE: phpBB QuickInstall is only intended to be used for local testing and should not be installed on a public/live server.

Changes since QI 1.1.8
  • [Fix] Ticket #63309 The first release in the changelog was broken.
  • [Fix] Ticket #63317 The "Forgot this" error message improved and also works with rtl languages.
  • [Fix] Ticket #63318 Fixed language string error. The directory includes/automod don't exist.
  • [Fix] Various tickets containing language errors fixed. And removed some more unused language strings.
  • [Fix] Various tickets containing HTML and CSS errors fixed.
  • [Fix] Ticket #63321 Check that both the config file and settings directory is writable.
  • [Fix] Ticket #63311 The error message had the wrong file name when the config file could not be written.
  • [Fix] Need to set $profile before trying to use it.
  • [Fix] Ticket #63320 all left/right mentions in css need a ".rtl" equivalent that specifies the other direction.
  • [Fix] Ticket #63308 Combining language strings don't work in all languages.
  • [Fix] Ticket #EXTTOOLS-649 QI did not delete the DB when deleting phpBB 3.1 boards.
  • [Fix] Ticket #EXTTOOLS-650 QI did not populate migrations table.
  • [Fix] Ticket #EXTTOOLS-621 Always check that default language is available before installation.
  • [Fix] The button to see the configuration if the settings directory was not visible.
  • [Change] Removed the cache usage. The cache directory is for now used to store file based databases.
  • [Change] Had 'load_tplcompile' in several places, one should be enough.
  • [Change] No need to add session and $user to only store language keys. Changed $user->lang[] to qi::lang().
  • [Change] Removed "powered by phpBB" from the footer. That would no be true anymore.
  • [Change] Suppress E_DEPRECATED from php >=5.5.0 to still work with php 4
  • [Change] Removed CSS hack for Mac IE since the last version was released in 2003
  • [Change] Added CSS hack for Opera.
  • [Change] Removed the "Manage boards" tab and moved board delete to the main tab, which where renamed to "Manage boards".
  • [Change] Made some modifications to the settings tab and changed some wording.
  • [Change] Better error reporting and handling. For now only when AutoMOD is missing.
  • [Change] Removed the ability to show passwords when the user hovers over the input.
  • [Change] Changed background color for the time note on the main page, to distinguish it from a error box.
  • [Change] Ticket #EXTTOOLS-654 Replaced phpBB Gorup with phpBB Limited. (By Skouat)
  • [Feature] Ticket #63300 Show back trace on errors.
  • [Feature] Added a php info tab.
  • [Feature] Ticket #63302 Added MySQLi support.
  • [Feature] Supports both phpBB 3.0 and 3.1 (By Nicofuma)
  • [Feature] Added a easy way to get the cache purged when working on QI.
Now go and write some great extensions. :)

You may discuss this announcement here.

The Extensions Team.
Need a mod/extension created/installed, other custom-coded solution or a server admin? https://tumba25.net

Post Reply

Return to “Announcements”